[package]
name = "cross"
version = "0.1.0"
edition = "2024"

[dependencies]
bitflags.workspace = true

[target.'cfg(target_os = "yggdrasil")'.dependencies]
yggdrasil-rt.workspace = true
runtime.workspace = true

[target.'cfg(unix)'.dependencies]
tempfile = "3.15.0"
libc = "*"

[dev-dependencies]
runtime.workspace = true

tempfile = "3.15.0"
libc = "*"

[lints.rust]
unexpected_cfgs = { level = "allow", check-cfg = ['cfg(rust_analyzer)'] }
